×
Kunena 5.1.10 Released - Security release (03 Mar 2019)

The Kunena team has announce the arrival of Kunena 5.1.10 [K 5.1.10] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1. This is a security release.

Question Before you ask for help with template issues ...

  • sozzled
  • Topic Author
  • Visitor
9 years 2 months ago - 9 years 2 months ago #1 by sozzled
We get a lot of questions - a helluva lot of questions - about templates.

We get asked questions about how to fix Kunena so that it "fits" properly within a Joomla template.

We get asked questions about how to change the Kunena template, how to change font styles, colours, borders ... anything you could imagine! :blink:

Sometimes there aren't enough hours in the day to answer all of these questions. :pinch:

Most of the time, every question that is asked is unique to the user's situation. There are as many unique issues, problems, questions as there are implementations of Kunena. And, would you believe, nearly every one of them can be solved easily! :ohmy:

So, before you ask another question about how to change the font colour, or fix the width of the template so that it fits into your Joomla template, we ask you to first read: Changing Template and its Colours - the Basics .

Because most users' problems are unique, you should be prepared to tell us where you are having these problems. This means, what is the URL of your site. If you have restricted your forum so that only registered users can view it, you should also have a test account/password. Although a screen image is helpful, nothing is quite as good as the real thing. You are under no obligation to display this information in public. You may prefer to provide test account details by PM but only by invitation.

For security reasons, we do no register ourselves at user websites.

When you post your question, please tell us:
  1. What version of Kunena you are using - and that doesn't mean "the latest one".
  2. What Kunena template you are using - and that doesn't mean "the default one" either. If you mean default_ex, then please say default_ex. Please also remember: There is only one endorsed and supported Kunena template ... default_ex
  3. What version of Joomla you are using.
If you don't provide this information, we will only ask you for it anyway. So do yourself a favour and save everyone's time and provide the information right from the start. B)

The forum moderators and developers are not experts in template design or CSS. We're just like you. ;) We understand that some of these technical issues are difficult to understand and that the skills take time to learn. That doesn't mean that we will be able to solve every problem that comes our way. It also doesn't mean that we should be expected to solve any problem that comes our way, either. Sometimes, if you're drowning in a sea of technicality, it's better to swim towards the safety of something that is easier for you to handle until you become more proficient.

Having said these things, we hope that you will continue to post your questions and contribute to helping others who may be in a similar predicament to you, and enjoy the facilities that are available here at www.kunena.com . :)
Last edit: 9 years 2 months ago by sozzled.
The topic has been locked.
  • sozzled
  • Topic Author
  • Visitor
8 years 9 months ago #2 by sozzled
Compatibility with user-customised or third-party-developed Kunena templates

As a general rule, many templates designed for previous versions of Kunena should work with the latest stable public release but this is only true to a limited extent. In general, many older templates fail to work with Kunena in unpredictable ways and these account for the major source of problems reported by users. Because of the way that Kunena 1.5 is designed, many bugfixes and improvements made to the Kunena component affect the way that templates interact and, more importantly, older templates may have code that is incompatible with the latest version. You should upgrade your template whenever new versions are released and - third-party developers should take special note - to apply bugfixes incorporated with latest default_ex theme.

Please make sure your template works in a test environment before upgrading your live site!

If you feel the features of the template that you currently using outweigh the need to upgrade to the latest stable release of Kunena, that is also your prerogative to remain at the version of Kunena that your template was designed for or until the developer of that template makes the necessary changes to it. However, if you encounter problems with the function of the outdated version of Kunena we are unable to assist you beyond advising you to upgrade. The decision is yours.
The topic has been locked.
  • sozzled
  • Topic Author
  • Visitor
8 years 6 months ago #3 by sozzled
The topic has been locked.
  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.102 seconds